<div class="grid grid-cols-12 min-h-screen">
  {{template "partials/sidebar" (dict "active" "search" "routeSuffix" .routeSuffix "role" .role)}}

  <div class="col-span-7 sm:col-span-8 lg:col-span-9 p-6 bg-slate-50">
    {{template "partials/headnav" .}}

    <h1 class="text-2xl font-medium mb-1">{{.proces.Label}}</h1>

    <p class="text-gray-500 mb-3">Proces van vreemdeling <span class="font-medium">{{.vreemdelingNummer}}</span></p>

    <p class="mb-5"><a class="inline-flex items-center text-sm text-sky-600 hover:text-sky-700 hover:underline" href="/vreemdelingen/{{.vreemdelingNummer}}{{.routeSuffix}}"><svg class="w-4 h-4 mr-1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M5 12h14M5 12l6 6m-6-6l6-6"/></svg> Terug naar de persoon</a></p>

    {{if index .role.WritableProcesAttributes .proces.Name}}
    <p class="mb-7">
      <a class="inline-flex items-center text-white bg-sky-500 border border-sky-600 hover:bg-sky-600 hover:border-sky-700 focus:ring-4 focus:outline-none focus:ring-sky-200 font-medium rounded-lg text-sm px-5 py-2.5 shadow-sm"
        href="/vreemdelingen/{{.vreemdelingNummer}}/processen/{{.procesID}}/edit{{.routeSuffix}}">
        <svg class="w-4 h-4 mr-2 -ml-1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
          <path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
            d="M4 20h4L18.5 9.5a2.828 2.828 0 1 0-4-4L4 16v4m9.5-13.5l4 4" />
        </svg>
        Wijzig gegevens
      </a>
    </p>
    {{end}}

    <div class="grid grid-cols-12">
      <p class="col-span-12 sm:col-span-5 md:col-span-4 sm:pr-2 sm:mb-5 text-gray-600 font-medium break-words">Proces-ID
      </p>
      <div class="col-span-12 sm:col-span-7 md:col-span-8 mb-5">
        <span class="font-mono text-sm px-2 py-1 rounded bg-slate-200">{{.procesID}}</span>
      </div>

      <p class="col-span-12 sm:col-span-5 md:col-span-4 sm:pr-2 sm:mb-5 text-gray-600 font-medium break-words">Procestype
      </p>
      <div class="col-span-12 sm:col-span-7 md:col-span-8 mb-5">
        {{.proces.Label}}
      </div>

      <p class="col-span-12 sm:col-span-5 md:col-span-4 sm:pr-2 sm:mb-5 text-gray-600 font-medium break-words">Status
      </p>
      <div class="col-span-12 sm:col-span-7 md:col-span-8 mb-5">
        <span class="inline-block bg-blue-100 text-blue-800 text-sm font-medium px-2.5 py-1 rounded">{{or .statusLabel "(Onbekend)"}}</span>
      </div>

      <p class="col-span-12 sm:col-span-5 md:col-span-4 sm:pr-2 sm:mb-7 text-gray-600 font-medium break-words">Ingevoerd
        op</p>
      <div class="col-span-12 sm:col-span-7 md:col-span-8 mb-7">
        {{formatTimeValue .data.CreatedAt}} door <span class="font-medium">{{getOrganizationLabel .data.Source}}</span>
      </div>

      <h4 class="col-span-12 text-gray-500 text-sm uppercase mb-3">Proces-specifieke gegevens</h4>

      {{$accessibleAttributes := index .role.ReadableProcesAttributes .proces.Name}}
      {{if $accessibleAttributes}}
      {{range .proces.Attributes}}
      {{if stringIn $accessibleAttributes .Name}}
      <p class="col-span-12 sm:col-span-5 md:col-span-4 sm:pr-2 sm:mb-5 text-gray-600 font-medium break-words">{{.Label}}</p>
      <div class="col-span-12 sm:col-span-7 md:col-span-8 mb-5">
        {{template "partials/attribute-proces" (dict "attribute" . "data" (index $.data.Attributes .Name))}}
      </div>
      {{end}}
      {{end}}
      {{else}}
      <p class="col-span-12 mb-7">Je hebt helaas geen rechten om de details van dit type proces in te zien.</p>
      {{end}}
    </div>

  </div>
</div>
